define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("cordova!org.apache.cordova.geolocation")
	var Model = function() {
		this.callParent();		
	};

	Model.prototype.getinfo = function(cityname,citycode) {
		var forecastData = this.comp("forecastData");
		var todayData = this.comp("todayData");
		var indexData=this.comp("indexData");
		var me=this;
		justep.Baas.sendRequest({
			"url" : "/myself/weather",
			"action" : "getinfo",
			"async" : false,
			"params" : {
				city : cityname,
				code : citycode
			},
			"success" : function(data) {
//				console.log(data)
				if (data.errMsg!="success") {
					justep.Util.hint("查询出错!!", {
						"delay":1000,
						"type":"danger"
					})
				}
				forecastData.clear();
				todayData.clear();
				indexData.clear();
				todayData.newData({
					"defaultValues" : [ {
						"curTemp" : data.retData.today.curTemp,
						"date" : data.retData.today.date,
						"fengli" : data.retData.today.fengli,
						"fengxiang" : data.retData.today.fengxiang,
						"hightemp" : data.retData.today.hightemp,
						"lowtemp" : data.retData.today.lowtemp,
						"type" : data.retData.today.type,
						"week" : data.retData.today.week
					} ]
				})
				todayData.saveData();
				
				for (var int = 0; int < data.retData.forecast.length; int++) {
					forecastData.newData({
						"defaultValues" : [ {
							"date" : data.retData.forecast[int].date,
							"week" : data.retData.forecast[int].week,
							"fengxiang" : data.retData.forecast[int].fengxiang,
							"fengli" : data.retData.forecast[int].fengli,
							"hightemp" : data.retData.forecast[int].hightemp,
							"lowtemp" : data.retData.forecast[int].lowtemp,
							"type" : data.retData.forecast[int].type
						} ]
					})
				}
				forecastData.saveData();
				
				for (var int2 = 0; int2 < data.retData.today.index.length; int2++) {
					indexData.newData({
						"defaultValues" : [ {
							"index" : data.retData.today.index[int2].index,
							"name" :  data.retData.today.index[int2].name,
							"details" :  data.retData.today.index[int2].details
						} ]
					})
					
				}
				indexData.saveData();
//				console.log("indexData的记录数:"+indexData.count())
				forecastData.refreshData();
				me.comp("list1").refresh();
			}
		});
	}
	

	Model.prototype.button2Click = function(event) {

	};

	Model.prototype.menuBtnClick = function(event){
		this.comp("popMenu1").show();
	};

	Model.prototype.locationBtnClick = function(event){
		var me=this;
		function errorCallback(erro) {
			alert("失败")
		}
		function successCallback(position) {	
			var address=position.address;
			var begin=address.indexOf('省')
			var end=address.indexOf('市')
			var city=address.substr(begin+1,end-3)
			me.comp("cityDialog1").open({
				"src":"$UI/weather/cityActivity.w",
				"data":city,
				"title":"选择你所在的城市?"
			})
		}
		navigator.geolocation.getCurrentPosition(successCallback, errorCallback)
	};

	Model.prototype.cityBtnClick = function(event){
		this.comp("cityDialog1").open({
			"src":"$UI/weather/cityActivity.w",
			"title":"选择你所在的城市?",
			"data":"null"
		})
	};

	Model.prototype.cityDialog1Received = function(event){
		var info=event.data.info
//		console.log(info)
		var cityname=info.row.district_cn.originalValue;
		var citycode=info.row.area_id.originalValue;
//		console.log(cityname+"|||"+citycode)
		this.comp('titleBar').set({
			"title":cityname+"  天气状况"
		})
		this.getinfo(cityname, citycode)
	};

	Model.prototype.modelLoad = function(event){
		var me=this;
		var show=true;
		document.addEventListener("menubutton", menuDown);
		function menuDown() {
			if (show) {
				me.comp("popMenu1").show()
				show=false;
			} else {
				me.comp("popMenu1").hide()
				show=true;
			}
		}
	};

	Model.prototype.button1Click = function(event){
		var data=this.comp("indexData").toJson();
		this.comp("windowDialog1").open({
			"src":"$UI/weather/infoActivity.w",
			"title":"生活指数:",
			"data":data
		})
	};

	return Model;
});